
#if defined(__SOLARIS_AUDIO__)

#include <sys/audio.h>

class RtApiSolaris: public RtApi
{
public:

  RtApiSolaris();
  ~RtApiSolaris();
  void tickStream();
  void closeStream();
  void startStream();
  void stopStream();
  void abortStream();
  void setStreamCallback( RtAudioCallback callback, void *userData );
  void cancelStreamCallback();

  private:

  audio_info_t audioInfo;
  int device_fd;
  
  void initialize(void);
  void probeDeviceInfo( RtApiDevice *info );
  bool probeDeviceOpen( int device, StreamMode mode, int channels, 
                        int sampleRate, RtAudioFormat format,
                        int *bufferSize, int numberOfBuffers );
};

#endif
